QGIS Application - Bug report #7393
wms identify in "feature” format does not show attributes
2013-03-19 01:36 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupls data: Copied to github as #: 16364
Description

try

http://mapas.igeo.pt/wms/clc

the result window is an in the attached image.

The getfeatureinfo url is

http://mapas.igeo.pt/wms/clc?SERVICE=WMS&#38;VERSION=1.1.1&#38;REQUEST=GetFeaturelnfo&#38;BBOX=-21113.571079090
433854,-57357.4194735628916533,2457.0730308950028302,-46663.3309421803787700&#38;SRS=EPSG:3763&#38;WIDTH=756&

t38;HE!

#38;HEIGHT=343&#38;LAYERS=CLC06_PT&#38;STYLES=&#38;,FORMAT=image/png&#38;QUERY_LAYERS=CLC06_PT&#38;INF

D_FOR

O_FORMAT=application/vnd.ogc.gml&#38;X=380&#38;Y=247&#38;FEATURE COUNT=10

and return the attributes

<msGMLOutput xmins:gml="http://www.opengis.net/gml" xmiIns:xlink="http://www.w3.0rg/1999/xlink"
xmins:xsi="http://www.w3.0rg/2001/XMLSchema-instance">
<CLCO06_PT_layer>

<CLCO06_PT_feature>

<gml:boundedBy>

<gml:Box srsName="EPSG:3763">

<gml:coordinates>

-9825.903200,-54690.441800 -8679.891600,-53982.945300
</gml:coordinates>

</gml:Box>

</gml:boundedBy>

<OBJECTID>32201</OBJECTID>

<ID>PT-32201</ID>

<CODE_06>112</CODE_06>
<ORIG_FID>3384</ORIG_FID>
<AREA_HA>49.534</AREA_HA>

</CLCO06_PT _feature>

</CLCO06_PT_layer>

</msGMLOutput>
Works for me, can you verify?

#2 - 2013-05-20 09:57 AM - Radim Blazek
- Status changed from Open to Feedback

#3 - 2013-05-21 02:14 PM - Giovanni Manghi
- Resolution set to fixed
- Status changed from Feedback to Closed

seems to work now. Thanks!

Files

2013-03-19-083430_1024x600_scrot.png 109 KB

2025-06-07

2013-03-19

Giovanni Manghi

22



